//============================================================================
// Name        : UtilsConsole.h
// Author      : Manuel Mauky <lestard@esrix.de>
// Version     :
// Copyright   : GPL
// Description : SpaceShooter
//============================================================================


#include "UtilsConsole.h"


char UtilsConsole::getCharFromConsole(int x, int y){
		CONSOLE_SCREEN_BUFFER_INFO screenbufferinfo;

		HANDLE h = GetStdHandle(STD_OUTPUT_HANDLE);

		if(!GetConsoleScreenBufferInfo(h,&screenbufferinfo)){
			return 'f';
		}

		char buffer[2];
		COORD coord = {x,y};
		DWORD num_read;

		if(!ReadConsoleOutputCharacter(h,(LPTSTR)buffer,1,coord,(LPDWORD)&num_read))
			return 'g';

		return buffer[0];

}

void UtilsConsole::setColor(int color){
	if(color>0 && color < 16)
		SetConsoleTextAttribute(GetStdHandle(STD_OUTPUT_HANDLE),color);

}

void UtilsConsole::setBackgroundColor(int color){

	SetConsoleTextAttribute(GetStdHandle(STD_OUTPUT_HANDLE),color);
}



void UtilsConsole::setCursor(int x, int y){

	COORD temp;

	temp.X = x;
	temp.Y = y;

	SetConsoleCursorPosition(GetStdHandle(STD_OUTPUT_HANDLE),temp);
}
